com.microfocus.awm.meta.modelextension

## Class TemplateModelExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.TemplateModelExtension

-     public class TemplateModelExtension
      extends ModelExtensionObject

  Template model extension.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateModelExtension(java.lang.String pId, java.net.URL pModelURL, java.lang.String pLabel, java.lang.String pCategory, java.lang.String pDescription, FunctionPackageExtension pFunctionPackage)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Gets the category for the model template, if one was defined.
    `java.lang.String` | `getDescription()` Gets a description of the template model, if one was defined.
    `java.net.URL` | `getModelURL()` Gets the URL of the template model file.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateModelExtension

          public TemplateModelExtension(java.lang.String pId,
                                        java.net.URL pModelURL,
                                        java.lang.String pLabel,
                                        java.lang.String pCategory,
                                        java.lang.String pDescription,
                                        FunctionPackageExtension pFunctionPackage)

      Constructor.
      Parameters:
        `pId` - full qualified ID of the extension
        `pModelURL` - URL pointing to the model in the bundle
        `pLabel` - label of the template model
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### getModelURL

          public java.net.URL getModelURL()

      Gets the URL of the template model file.
      Returns:
        the model URL

    - #### getDescription

          public java.lang.String getDescription()

      Gets a description of the template model, if one was defined.
      Returns:
        the description (can be `null`).

    - #### getCategory

          public java.lang.String getCategory()

      Gets the category for the model template, if one was defined.
      Returns:
        the category (can be `null`)

Copyright © 2015 Micro Focus GmbH. All rights reserved.